complexType "DisputedCollateral"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | disputedAmount?, disputeDate?, disputeResolutionMethod*
</...>

Content Model Elements (3):

  disputedAmount, disputeDate, disputeResolutionMethod

All Direct / Indirect Based Elements (3):

  segregatedIndependentAmount (in disputeNotification), segregatedIndependentAmount (in disputeNotification), | variationMargin (in disputeNotification)

Known Usage Locations

- As direct type of elements (3):

  segregatedIndependentAmount (in disputeNotification), segregatedIndependentAmount (in disputeNotification), | variationMargin (in disputeNotification)

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="DisputedCollateral"> <xsd:sequence> <xsd:element minOccurs="0" name="disputedAmount" type="Money"/> <xsd:element minOccurs="0" name="disputeDate" type="xsd:date"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="disputeResolutionMethod" type="DisputeResolutionMethod"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
disputedAmount

  Type: | Money, complex content

  This is confirmation of the amount being disputed this would be the difference between the undisputed amount and the call amount from the requestMargin message.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="disputedAmount" type="Money"/>

disputeDate

  Type: | xsd:date, predefined, simple content

  This is the date from which the Dispute is deemed by the sending party to have occurred on. It can be used for dispute aging purposes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="disputeDate" type="xsd:date"/>

disputeResolutionMethod

  Type: | DisputeResolutionMethod, complex content

  The disputeResolutionMethod can consist of either a resolutionCode and description, a resolution code only or a description only. The purpose of this element is to be able to provide details of how the dispute differences will be resolved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="disputeResolutionMethod" type="DisputeResolutionMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.